server:
  port: 8080
  tomcat:
    accesslog:
      enabled: true
      directory: "/dev"
      prefix: "stdout"
      buffered: false
      suffix: ""
      file-date-format: ""
      pattern: '%v %h %l %u %t %r %s %b %T %H %{Referer}i %{User-Agent}i %{x-request-id}i %{x-b3-traceid}i %{x-b3-spanid}i'
      accept-count: 100
      max-connections: 10000
      max-threads: 400
      min-spare-threads: 10

management:
  server:
    port: 8081
  endpoint:
    shutdown:
      enabled: true
    health:
      show-details: always
  endpoints:
    web:
      exposure:
        include: "*"

logging:
  level:
    root: INFO
    reactor.netty.http.client: INFO

swagger:
  enabled: true

springfox:
  documentation:
    open-api:
      v3:
        path: /api-docs

spring:
  jpa:
    hibernate:
      ddl-auto: validate
    show-sql: false
    properties:
      hibernate:
        format_sql: true
        dialect: org.hibernate.dialect.Oracle12cDialect
  jackson:
    deserialization:
      fail-on-unknown-properties: true